slick-greeter (2.0.8+xia) xia; urgency=medium

  [ Bobby Rong ]
  * Add xfce-wayland badge (#250)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 05 Dec 2024 10:51:28 +0000

slick-greeter (2.0.7) xia; urgency=medium

  [ Turretkeeper ]
  * Add lomiri badge. (#248)

  [ wojnilowicz ]
  * Add Plasma X11 badge (#249)

  [ Lenar Shakirov ]
  * Resize HEIGHT of greeter listbox on pam message (#243)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Nov 2024 11:21:55 +0000

slick-greeter (2.0.6) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 21 Jul 2024 10:40:01 +0100

slick-greeter (2.0.5) wilma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 18 Jun 2024 20:53:25 +0100

slick-greeter (2.0.4) wilma; urgency=medium

  [ Jakko3 ]
  * Get rid of gnome-common build dependency (#231)

  [ Leigh Scott ]
  * configure.ac: Update and fix warning (#233)

  [ hoshino873 ]
  * Add cursor scaling for HiDPI displays (#235)

  [ Bobby Rong ]
  * build: Add meson support (#240)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 05 Jun 2024 13:33:51 +0100

slick-greeter (2.0.3) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Jan 2024 16:49:17 +0000

slick-greeter (2.0.2) virginia; urgency=medium

  [ Michael Webster ]
  * greeter-list.vala: Make the user and session box wider.
  * Fix hidpi rendering of session badges, message indicator.

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 18 Dec 2023 11:09:55 +0000

slick-greeter (2.0.1) virginia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 03 Dec 2023 15:13:20 +0000

slick-greeter (2.0.0) virginia; urgency=medium

  [ Sam Lane ]
  * Add man page for enable-tap-to-click (#224)

  [ Michael Webster ]
  * Add cinnamon-wayland badge

  [ Eugenio Depalo ]
  * Add a setting to configure the user list alignment (#222)

  [ Clement Lefebvre ]
  * Change cinnamon-wayland logo

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 28 Nov 2023 17:02:06 +0000

slick-greeter (1.8.2) victoria; urgency=medium

  [ Shreyas A S ]
  * [Greeter] should be on top of the config lines (#221)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 07 Jul 2023 17:17:51 +0200

slick-greeter (1.8.1) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:00:52 +0100

slick-greeter (1.8.0) victoria; urgency=medium

  [ Clement Lefebvre ]
  * power: Round battery power percentage
  * keyboard: Add support for layout switching
  * l10n: Update POT
  * Fix unreachable catch clause
  * orca: Fix wrong a11y text for username prompt
  * sessions: Make the list scrollable
  * badges: Add pademelon
  * badges: Add lxqt
  * keyboard: Update label when keymap changes
  * sessions: Add a tooltip on the session badge
  * sessions: Close dialog on Escape
  * keyboard navigation: Don't prevent left/right movement in Gtk.Entry
  * a11y: Make the onboard layout configurable
  * entry: Support the ability to reveal the password
  * slick-greeter-check-hidpi: Fix deprecations
  * user-list: Allow hidden user visibility to be toggled
  * Enable touchpad tap-to-click

  [ Himadri Sekhar Basu ]
  * Update debian compatibility and standards

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 11:08:39 +0100

slick-greeter (1.6.1) vera; urgency=medium

  [ Ivan Podogov ]
  * Allow wayland sessions to pass validation

  [ Michael Webster ]
  * Add github workflow, remove .circleci.

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 15:58:26 +0000

slick-greeter (1.6.0) vera; urgency=medium

  [ Michael Webster ]
  * Set our own cursor theme and size internally via GtkSettings.
  * cursor size: Use 24 as a default size instead of 0.

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 02 Dec 2022 18:10:36 +0000

slick-greeter (1.5.9) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 11:11:21 +0200

slick-greeter (1.5.8) vanessa; urgency=medium

  [ Michael Webster ]
  * live session: Try to make sure no username entry is displayed in (#203)

  [ Clement Lefebvre ]
  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 24 Jun 2022 10:17:08 +0200

slick-greeter (1.5.7) vanessa; urgency=medium

  * Packaging: Depend on fonts-ubuntu

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 25 Apr 2022 19:31:20 +0100

slick-greeter (1.5.6) una; urgency=medium

  [ Michael Webster ]
  * Fix typo in en_CA translation (fix submitted on LP also).

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 12:56:36 +0000

slick-greeter (1.5.5) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 15:46:47 +0000

slick-greeter (1.5.4) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:35 +0100

slick-greeter (1.5.3) uma; urgency=medium

  [ Joshua Peisach ]
  * menubar: kill using Posix.Signal.TERM instead of Posix.SIGTERM
  * shutdown-dialog: margin left/right -> margin_start_end

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:19:14 +0100

slick-greeter (1.5.2) ulyssa; urgency=medium

  [ Jacob ]
  * Add badge for fynedesk (#174)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:28 +0000

slick-greeter (1.5.1) ulyssa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:42 +0000

slick-greeter (1.5.0) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * CI: Update targets

  [ ItsNotGoodName ]
  * Add clock-format to config

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:28:46 +0000

slick-greeter (1.4.1) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:36:25 +0100

slick-greeter (1.4.0) ulyana; urgency=medium

  [ Isaac Carter ]
  * Cleaned up and fixed compiler warnings. (#147)

  [ Louis des Landes ]
  * Finally get the size of the svg right.

  [ leigh123linux ]
  * Remove at-spi load/kill code

  [ Geoff Paul ]
  * Add option to span background across multiple monitors

  [ Mejans ]
  * Translation + improvements

  [ Clement Lefebvre ]
  * Rename/simplify background mode
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 12 May 2020 11:07:18 +0100

slick-greeter (1.3.2) tricia; urgency=medium

  [ Louis des Landes ]
  * Fix sway badge size (#148)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:16:29 +0000

slick-greeter (1.3.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:59:33 +0000

slick-greeter (1.3.0) tricia; urgency=medium

  [ Michael Webster ]
  * settings: Turn the 'grid' display off by default.

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 04 Dec 2019 14:50:34 +0000

slick-greeter (1.2.9) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:19:31 +0000

slick-greeter (1.2.8) tricia; urgency=medium

  [ Leigh Scott ]
  * Fix vala-0.45 compile error (#138)

  [ Louis des Landes ]
  * Add sway badge. (#139)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 12:52:26 +0000

slick-greeter (1.2.7) tina; urgency=medium

  [ David Mohammed ]
  * Resolve lintian issues due to exe install locations (#136)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:13:18 +0200

slick-greeter (1.2.6) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 10 Jul 2019 11:07:49 +0200

slick-greeter (1.2.5) tina; urgency=medium

  [ Clement Lefebvre ]
  * Packaging: Fix Debian build (#122)

  [ Leigh Scott ]
  * remove mlockall (#127)

  [ David Mohammed ]
  * Fix FTBFS with vala 0.43 (#131)

  [ mwileczka ]
  * Fixed default session for manual user entry. (#129)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Jul 2019 10:11:40 +0200

slick-greeter (1.2.4) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:43:26 +0000

slick-greeter (1.2.3) tessa; urgency=medium

  [ Michael Webster ]
  * background.vala: Fix build with vala 0.41.91 (no default value allowed when using custom getter.)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 19:31:12 +0000

slick-greeter (1.2.2) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Jun 2018 14:26:31 +0200

slick-greeter (1.2.1) tara; urgency=medium

  [ Cobinja ]
  * Fix background if image file is not readable (#104)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 13:07:43 +0100

slick-greeter (1.2.0) tara; urgency=medium

  [ Vit Rozkovec ]
  *  Add support for numlockx - updated README (#91)

  [ Clement Lefebvre ]
  * Add build notes for Debian in README

  [ Michael Webster ]
  * slick-greeter.vala: Clear the AT_SPI_BUS property on the root window on exit, so the user session components won't fail to connect.

  [ Clement Lefebvre ]
  * Add CI configuration
  * CI: Don't build for LMDE3

  [ Ikey Doherty ]
  * greeter: Avoid expensive Python calls when it isn't needed (#93)

  [ Leigh Scott ]
  * Silence GTK 3.22 warnings relating to deprecation in Gdk.Screen. (#89)

  [ Clement Lefebvre ]
  * CI: Don't build for Mint 18

  [ Cobinja ]
  * Add option to show GUI on a specific monitor (#76)

  [ Victor Kareh ]
  * Fix HiDPI auto-detection (#102)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 May 2018 10:02:06 +0100

slick-greeter (1.1.4) sylvia; urgency=medium

  [ Björn Esser ]
  * Fix build with vala >= 0.39 (#90)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 29 Dec 2017 11:51:23 +0000

slick-greeter (1.1.3) sylvia; urgency=medium

  [ Björn Esser ]
  * main-window: Calculate the really needed screen size properly (#84)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 29 Nov 2017 17:24:34 +0000

slick-greeter (1.1.2) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:17:50 +0000

slick-greeter (1.1.1) sylvia; urgency=medium

  [ Björn Esser ]
  * Settings: Reset config keys to default if not in config file (#79)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 17 Nov 2017 11:06:00 +0000

slick-greeter (1.1.0) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 21:29:38 +0000

slick-greeter (1.0.9) sylvia; urgency=medium

  [ Seth Barberee ]
  * Fix typo in README.md (#56)

  [ NikoKrause ]
  * update German l10n (#58)

  [ Michael Webster ]
  * add an issue template

  [ Clement Lefebvre ]
  * Remove broken symlink

  [ Stefano Capitani ]
  * Session detection: Add support for more DE/WM  (#61)

  [ Clement Lefebvre ]
  * Add tooltips to applets
  * Add support for numlockx
  * Rename background-logo -> other-monitors-logo
  * Other monitors logo: Use full opacity
  * Make panel indicators optional
  * Fix compilation warnings
  * Remove idle_timeout

  [ NikoKrause ]
  * add makepot and .pot file (#57)

  [ Clement Lefebvre ]
  * l10n: Update POT file

  [ David Mohammed ]
  * add GNOME 3.26 xorg session and ubuntu xorg equivalent session (#73)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 27 Oct 2017 13:32:33 +0100

slick-greeter (1.0.8) sonya; urgency=medium

  [ leigh123linux ]
  * kill onboard and orca on session startup (#54)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Jun 2017 16:52:39 +0200

slick-greeter (1.0.7) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Badges: Don't hardcode any logic related to badge names
  * Badges: Prefer SVG over PNG

  [ JosephMcc ]
  * badges: Convert some badges to svg (#39)

  [ David Mohammed ]
  * describe options in README and man page (#40)

  [ Darryn Bourgeois ]
  * badges: more svg converts (#41)

  [ Clement Lefebvre ]
  * Add plasma to the list of default sessions
  * A11y: Fix HighContrast option
  * Remove condescending comment in the code
  * Explicitly set the keyboard layout

  [ DaveBlack ]
  * Increase onscreen keyboard height (#49)
  * Make error text bold and yellow (#48)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 13 Jun 2017 11:31:35 +0100

slick-greeter (1.0.6) sonya; urgency=medium

  [ Michael Webster ]
  * Fix prompt display in gtk3 > 3.20

  [ Clement Lefebvre ]
  * Background: If no user background is set/used, fallback to system background.
  * Update README.md

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 30 May 2017 14:59:12 +0100

slick-greeter (1.0.5) sonya; urgency=medium

  [ Michael Webster ]
  * backgrounds: Fix determination of what to display as a background, broken as a result of d2a7122d731c0f19f502a9efba1feee651bcfa7c

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 25 May 2017 15:07:22 +0100

slick-greeter (1.0.4) sonya; urgency=medium

  [ leigh123linux ]
  * Handle errors from liblightdm (#32)

  [ Michael Webster ]
  * dash-entry.vala: Improve position of the hint text draw in the password entry box - it should be more centered now instead of in the upper left corner.
  * prompt-box.vala: Remove custom allocation code - everything works correctly without it.  With it, entries are often under- or over- allocated, with the result being the active user's password entry sometimes does not have enough room to be visible.
  * background: Don't realize() this immediately - only start the image gathering thread during initialization.  Wait for the main window to be realized before passing its cairo surface to the background object and drawing the background for the first time.
  * slick-greeter.vala: disconnect the event filter when the main window is destroyed, otherwise we can continue to receive events on the filter when we no longer have a backing GdkWindow to act upon (causing a segfault.)

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 14:33:01 +0100

slick-greeter (1.0.3) sonya; urgency=medium

  [ David Mohammed ]
  * Packaging: Fix some issues (#29)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 17 May 2017 11:55:36 +0100

slick-greeter (1.0.2) sonya; urgency=medium

  [ gogogogi ]
  * l10n: Update hr.po (#26)

  [ gabrc52 ]
  * Fix session validation (#28)

  [ Clement Lefebvre ]
  * Session validation: Refactor in case variable is null

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 12 May 2017 15:15:56 +0100

slick-greeter (1.0.1) sonya; urgency=medium

  [ Clement Lefebvre ]
  * Fix Slick-Greeter preventing DE from applying cursor theme/size.
  * Add HiDPI support
  * Don't draw the background before starting the session.
  * Fix build and runtime warnings
  * Fix incorrect orca arguments
  * HiDPI: Take the screen size in consideration
  * HiDPI: Allow to force HiDPI support ON or OFF

  [ leigh123linux ]
  * slick-greeter should depend on lightdm
  * Add basic screenshot capability

  [ Clement Lefebvre ]
  * Show PID in debug logs for at-spi process
  * Update README.md

  [ leigh123linux ]
  * Remove unused pkla file

  [ Elias Ojala ]
  * Change the homepage and remove Vcs-Bzr

  [ AsciiWolf ]
  * l10n: Replace Unity with Slick in translated strings

  [ Elias Ojala ]
  * Change maintainer to Linux Mint

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 May 2017 13:23:25 +0100

slick-greeter (1.0.0) sonya; urgency=medium

  * Initial release

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 06 Apr 2017 19:25:15 +0100
